%include %{_rpmconfigdir}/macros.python3

Name: python3-numpy
Version: 1.15.4
Release: 0
License: BSD
Summary: NumPy is the fundamental package for scientific computing with Python.
Url: http://www.numpy.org/

BuildRequires: blas-devel >= 3.8.0
BuildRequires: cblas-devel >= 3.8.0
BuildRequires: lapack-devel >= 3.8.0
BuildRequires: lapacke-devel >= 3.8.0
BuildRequires: gcc-gfortran-aix
BuildRequires: libgfortran3
BuildRequires: python3-devel
BuildRequires: python3-pip

Source0: https://github.com/numpy/numpy/releases/download/v%{version}/numpy-%{version}.tar.gz
Source1: python3-numpy-site.cfg

Patch0: python3-numpy.patch

%description
NumPy is the fundamental package for scientific computing with Python.

%prep
%setup -q -n numpy-%{version}
%patch0 -p1

cp %{SOURCE1} site.cfg

%build
export CC="gcc -fPIC -pthread -Wl,-brtl -Wl,-blibpath:/QOpenSys/pkgs/lib:/QOpenSys/usr/lib -L/QOpenSys/pkgs/lib"
python%{py_ver} setup.py bdist_wheel

%install

pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{_bindir}/f2py%{py_ver}

%{py_sitedir}/numpy*

%changelog
* Thu Jan 17 2019 - Xu Meng <mengxumx@cn.ibm.com>
- upgrade to v1.15.4
- change to use shared blas/lapack libs (#109)

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Python cleanup (#96)
- Ensure python packages have necessary dependencies listed
- Clean up python3 package build requires
- Update python 3 package descriptions and use SPDX licenses

* Tue Aug 07 2018 - Kevin Adler <kadler@us.ibm.com>
- Update python packages

* Mon Aug 06 2018 - Xu Meng <mengxumx@cn.ibm.com>
- fix numpy multiarray.so error

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Clean up various python 3 spec files

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded setuptools and wheel build requirements

* Thu Jul 12 2018 - Xu Meng <mengxumx@cn.ibm.com>
- fix the gfortran and f2py3 deps

* Thu Jul 12 2018 - Xu Meng <mengxumx@cn.ibm.com>
- build numpy from source

* Fri Jun 22 2018 - Xu Meng <mengxumx@cn.ibm.com>
- fix directory conflict issue

* Fri Jun 22 2018 - Xu Meng <mengxumx@cn.ibm.com>
- Add numpy,scipy and scikit-learn for machine learning

